import { select,arc} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
  .attr('transform','translate(480, 250)');

const eye = g.append('g')
  .attr('transform','translate(0, 0)');

const circle = g.append('circle')
  .attr('r',height/2)
  .attr('fill','yellow')
  .attr('stroke','black');

const leftEye = svg.append('circle')
  .attr('r',30)
  .attr('cx',width/2-100)
  .attr('cy',height/2-70)
  .attr('fill','black')

const RightEye = svg.append('circle')
  .attr('r',30)
  .attr('cx',width/2+100)
  .attr('cy',height/2-70)
  .attr('fill','black')

const mouth = g.append('path')
  .attr('d',arc()({
    
    innerRadius:80,
    outerRadius:100,  
    startAngle:Math.PI/2,
    endAngle:Math.PI*3/2 
    }));
const leftEyebrow = svg.append('rect')
   .attr('width',50)
   .attr('height',20)
   .attr('transform','translate(350,100)')
   .transition().duration(2000)
      .attr('y',-50)
   .transition().duration(2000)
      .attr('y',0)
const rightEyebrow = svg.append('rect')
   .attr('width',50)
   .attr('height',20)
   .attr('transform','translate(550,100)')
   .transition().duration(2000)
      .attr('y',-50)
   .transition().duration(2000)
      .attr('y',0)